namespace ConsoleApp24
{
    internal class Program
    {

       
      

       
       

        static void Main(string[] args)
        {

            int N = int.Parse(Console.ReadLine());
            long[] A = Console.ReadLine().Split().Select(long.Parse).ToArray();
            long[] B = Console.ReadLine().Split().Select(long.Parse).ToArray();

            long maxValue = long.MinValue;

            
            for (int L = 0; L < N; L++)
            {
                long xorValue = 0; 
                long andValue = long.MaxValue; 

                for (int R = L; R < N; R++)
                {
                   
                    xorValue ^= A[R];      
                    andValue &= B[R];      

                    
                    long currentValue = xorValue * andValue;

                   
                    maxValue = Math.Max(maxValue, currentValue);
                }
            }

            Console.WriteLine(maxValue);
        }
    }
}